vpc_create

Create VPC
post/v1/vpcs

Query Parameters

project

Name or ID of the project

Request Body

Create-time parameters for a Vpc

Object

Default resources to create in the VPC

Omit this field or pass null to create all defaults: currently, the default subnet. Pass an object to specify which resources to create. {} creates none.

This does not affect the system router, default firewall rules, or default internet gateway, which are always created and do not block deletion of the VPC.

Default resources to create in a VPC

Each field corresponds to one resource. Set a field to an object to create that resource. Omit it or pass null to skip it.

This does not affect the system router, default firewall rules, or default internet gateway, which are always created and do not block deletion of the VPC.

Object
subnet

Create the default subnet. Pass {} to create it and omit this field (or pass null) to skip it.

Default resources to create in the default subnet

Including this object in the request creates the default subnet. A subnet has no default resources yet, so the object is always empty.

description
dns_name

Names must begin with a lower case ASCII letter, be composed exclusively of lowercase ASCII, uppercase ASCII, numbers, and '-', and may not end with a '-'. Names cannot be a UUID, but they may contain a UUID. They can be at most 63 characters long.

The IPv6 prefix for this VPC

All IPv6 subnets created from this VPC must be taken from this range, which should be a Unique Local Address in the range fd00::/48. The default subnet, if requested, will take the first /64 range from this prefix.

An IPv6 subnet, including prefix and subnet mask

name

Names must begin with a lower case ASCII letter, be composed exclusively of lowercase ASCII, uppercase ASCII, numbers, and '-', and may not end with a '-'. Names cannot be a UUID, but they may contain a UUID. They can be at most 63 characters long.

Responses

201

successful creation

Object
description

Human-readable free-form text about a resource

dns_name

The name used for the VPC in DNS.

Names must begin with a lower case ASCII letter, be composed exclusively of lowercase ASCII, uppercase ASCII, numbers, and '-', and may not end with a '-'. Names cannot be a UUID, but they may contain a UUID. They can be at most 63 characters long.

id

Unique, immutable, system-controlled identifier for each resource

ipv6_prefix

The unique local IPv6 address range for subnets in this VPC

An IPv6 subnet, including prefix and subnet mask

name

Unique, mutable, user-controlled identifier for each resource

Names must begin with a lower case ASCII letter, be composed exclusively of lowercase ASCII, uppercase ASCII, numbers, and '-', and may not end with a '-'. Names cannot be a UUID, but they may contain a UUID. They can be at most 63 characters long.

project_id

ID for the project containing this VPC

system_router_id

ID for the system router where subnet default routes are registered

time_created

Timestamp when this resource was created

time_modified

Timestamp when this resource was last modified

4XX

Error

Object
message
request_id
5XX

Error

Object
message
request_id